List catalog apps
GET
/container/catalog
const url = 'https://sylve.lan:8181/api/container/catalog';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/container/catalog \ --header 'Authorization: <Authorization>'List the apps in the daemonless catalogs that run on this host
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
category
string
description
string
id
string
name
string
os
string
source
string
stack
boolean
variants
Array<object>
object
default
boolean
id
string
image
string
label
string
version
string
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "category": "example", "description": "example", "id": "example", "name": "example", "os": "example", "source": "example", "stack": true, "variants": [ { "default": true, "id": "example", "image": "example", "label": "example" } ], "version": "example" } ], "error": "example", "message": "example", "status": "example"}